Bug 126507 - I18N - Property editor does not resize to show properly all of its buttons
I18N - Property editor does not resize to show properly all of its buttons
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: IEP editor
6.x
All All
: P2 (vote)
: TBD
Assigned To: Ritesh Adval
issues@soa
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 17:10 UTC by kaa
Modified: 2008-10-06 21:07 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (104.56 KB, image/jpeg)
2008-02-01 17:10 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-02-01 17:10:04 UTC
Product Version: NetBeans IDE Dev (Build 200801290002)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)

Steps:
1. 1. Create IEP Module
2. Add IEP
3. For ex. d'n'd TimeBasedAggregator from the palette
4. Open its properties
5. Press '...' button in front of property editor field


TimeBasedAggregator property editor appears.
Property editor does not resize to show properly all of its buttons.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the UI objects and
information in them. I'am running in pseudo localized locale in which each message/label is a bit longer than English to
account for that in some locales, translations result in longer strings than in English. Also am running at fontsize 16,
which is viewed as a valid font size that might be used. Resizing issues are not just related to i18n; they might show
to user in English locale if they run at larger fontsize.
Comment 1 kaa 2008-02-01 17:10:28 UTC
Created attachment 55926 [details]
image
Comment 2 Sergey Lunegov 2008-02-20 12:56:14 UTC
Reassign to more appropriate category
Comment 3 Ritesh Adval 2008-10-06 20:51:10 UTC
started
Comment 4 Ritesh Adval 2008-10-06 21:07:30 UTC
fixed, the issue with Add Attribute/Delete Attribute etc was that there was extra space on the right of the last
button which was kind of wasted. So now fixed so that all button occupy equal space of its parent container's width
.



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo